POST
/auth/verify-tokenVerify a password reset token
Verifies a token against its specified token type. Provide the token in token and identify its type in type; for example, use password-reset for a password reset token. Use the result to determine whether the token is valid.
- IdempotentThe SDK sends
Idempotency-Key, so a retried request is only applied once.
Token value and the type of token to validate.
tokenstringrequired
Token string to verify.
typestringrequired
Token type to validate against (e.g. `password-reset`).
200Returns a response containing the token validity result.
dataunknownoptional
Response payload
statusintegeroptional
successbooleanoptional
400Returned when the token is invalid or expired.
errorstringoptional
Reason phrase, for example `Bad Request`.
messagestringoptional
statusCodeintegeroptional
Error handling
A 400 is returned when the token is invalid or expired. Both token and type are required; set type to the token type you want to validate, such as password-reset.